## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseColumn

All Superinterfaces:
  Column, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseAuthorizedObject, TypedElement

All Known Implementing Classes:
  SybaseASABaseColumnImpl, SybaseASACatalogBaseColumn

    public interface SybaseASABaseColumn

extends Column, SybaseAuthorizedObject

A representation of the model object 'Sybase ASA Base Column'.

The following features are supported:

- `Column Constraint`
- `Type Of Default`
- `Unique`
- `Is Computed Column`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnConstraint()` Returns the value of the 'Column Constraint' reference list.
`int` `getGlobalIncrementPartitionSize()` -1 stand for default value
`TypeOfDefault` `getTypeOfDefault()` Returns the value of the 'Type Of Default' attribute.
`boolean` `isIsComputedColumn()` Returns the value of the 'Is Computed Column' attribute.
`boolean` `isLiteralDefault()`
`boolean` `isUnique()` Returns the value of the 'Unique' attribute.
`void` `setIsComputedColumn(boolean value)` Sets the value of the '`Is Computed Column`' attribute.
`void` `setTypeOfDefault(TypeOfDefault value)` Sets the value of the '`Type Of Default`' attribute.
`void` `setUnique(boolean value)` Sets the value of the '`Unique`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Column
`getDefaultValue, getGenerateExpression, getIdentitySpecifier, getScopeCheck, getTable, isImplementationDependent, isNullable, isPartOfForeignKey, isPartOfPrimaryKey, isPartOfUniqueConstraint, isScopeChecked, setDefaultValue, setGenerateExpression, setIdentitySpecifier, setImplementationDependent, setNullable, setScopeCheck, setScopeChecked, setTable`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnConstraint

    org.eclipse.emf.common.util.EList getColumnConstraint()

  Returns the value of the 'Column Constraint' reference list. The list contents are of type `SybaseASABaseColumnCheckConstraint`. It is bidirectional and its opposite is '`Column`'.

  If the meaning of the 'Column Constraint' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Constraint' reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_ColumnConstraint()`, `SybaseASABaseColumnCheckConstraint.getColumn()`

### getTypeOfDefault

    TypeOfDefault getTypeOfDefault()

  Returns the value of the 'Type Of Default' attribute. The literals are from the enumeration `TypeOfDefault`.

  If the meaning of the 'Type Of Default' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Of Default' attribute.
  See Also:
    `TypeOfDefault`, `setTypeOfDefault(TypeOfDefault)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_TypeOfDefault()`

### setTypeOfDefault

    void setTypeOfDefault(TypeOfDefault value)

  Sets the value of the '`Type Of Default`' attribute.

  Parameters:
    `value` - the new value of the 'Type Of Default' attribute.
  See Also:
    `TypeOfDefault`, `getTypeOfDefault()`

### isUnique

    boolean isUnique()

  Returns the value of the 'Unique' attribute.

  If the meaning of the 'Unique' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Unique' attribute.
  See Also:
    `setUnique(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_Unique()`

### setUnique

    void setUnique(boolean value)

  Sets the value of the '`Unique`' attribute.

  Parameters:
    `value` - the new value of the 'Unique' attribute.
  See Also:
    `isUnique()`

### isIsComputedColumn

    boolean isIsComputedColumn()

  Returns the value of the 'Is Computed Column' attribute.

  If the meaning of the 'Is Computed Column' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Computed Column' attribute.
  See Also:
    `setIsComputedColumn(boolean)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn_IsComputedColumn()`

### setIsComputedColumn

    void setIsComputedColumn(boolean value)

  Sets the value of the '`Is Computed Column`' attribute.

  Parameters:
    `value` - the new value of the 'Is Computed Column' attribute.
  See Also:
    `isIsComputedColumn()`

### isLiteralDefault

    boolean isLiteralDefault()

### getGlobalIncrementPartitionSize

    int getGlobalIncrementPartitionSize()

  -1 stand for default value